@import url('https://fonts.googleapis.com/css2?family=Bruno+Ace+SC&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    outline: 0;
    transition: all 0.5s ease;
}

body {
    font-family: 'Bruno Ace SC', cursive;
}

a {
    text-decoration: none;
    color: #fff;
}

body {
     /*background-image: linear-gradient( to bottom right, rgba(79,51,176,1.0),rgba(210,53,165));*/
}

/* Nav */
.main-nav .navbar-collapse {
    transition: all 0.7s;
}

.main-nav span {
    color: #aa00a4;
}

.main-nav .navbar-brand {
    color: white;
    margin: 20px 0px;
}

.main-nav ul {
    margin: auto;
}
.main-nav ul li {
    margin: 5px;
}

.main-nav ul li a {
    transition: .7s;
}

.main-nav ul li a:hover{
    color: #aa00a4;
    transition: 1s;
}

.main-nav .active {
    background-color: #2e1f39b1;
    transition: 0.7s;
    border-radius: 6px;
}

.main-nav .active:hover {
    background-color: white;
    border-radius: 6px;
    color: #aa00a4;
}


/* Calculadora */
.container-calculadora {
    margin: auto;
    justify-content: center;
    text-align: center;
    margin-top: 50px;
}
.container-calculadora h1 {
    margin-bottom: 20px;
}

.calculator {
    position: relative;
    height: auto;
    width: auto;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 30px #000;
    display: flex;
    flex-direction: column;
}

#display {
    background-color: #1d1d1d;
    border-radius: 10px;
    margin: auto;
    margin-bottom: 10px;
    height: 58px;
    width: 100%;
    max-width: 270px;
    text-align: right;
    align-items: flex-end;
    justify-content: flex-end;
    font-size: 35px;
    overflow-x: scroll;
    padding-right: 20px;
    padding-left: 10px
  }

#display::-webkit-scrollbar {
    display: block;
    height: 3px;
}

.container-calculadora button {
    height: 60px;
    width: 60px;
    border: 0;
    border-radius: 30px;
    margin: 5px;
    font-size: 20px;
    cursor: pointer;
    transition: all 200ms ease;
}

.container-calculadora button:hover {
    transform: scale(1.1);
}

.container-calculadora button#equal {
    height: 120px;

}

/* Tema calculadora */

.calculator.dark {
    background-color: #071115;
}

.calculator.dark #display {
    color: #f8fafb;
}

.calculator.dark button#clear {
    background-color: #2d191e;
    color: #bd3740;
}

.calculator.dark button.btn-number {
    background-color: #1b2f38;
    color: #f8fafb;
}

.calculator.dark button.btn-operator {
    background-color: #2e1f39;
    color: #aa00a4;
}
  
.calculator.dark button.btn-equal {
    background-color: #223323;
    color: #ffffff;
}

/* Adivinanza */
.container-adivinanza {
    margin-top: 100px;
    border-radius: 10px;
    background-color: rgba(0, 0, 0, 0.356);    
    padding: 30px;
}

.container-adivinanza .container-input {
    margin: auto;
    margin-top: 50px;
    display: flex;
    justify-content: center;
}

.container-adivinanza .container-message {
    background-color: rgb(86, 49, 119);
    border-radius: 10px;
    width: 20%;
    text-align: center;
    justify-content: center;
    align-items: center;
    padding: 40px 10px;
    margin: auto;
    min-width: 100px;
}

.container-adivinanza input {
    width: 50%;
    height: auto;
}
.container-adivinanza button {
    height: 50px;
    width: 80px;
    border: 0;
    border-radius: 15px;
    margin: 5px;
    font-size: 12px;
    cursor: pointer;
    transition: all 200ms ease;
}

.container-adivinanza button:hover {
    transform: scale(1.1);
}

/* Loteria */
.container-loteria {
    background-color: rgba(0, 0, 0, 0.356);
    border-radius: 10px;
    margin: auto;
    justify-content: center;
    text-align: center;
    margin-top: 50px;
    margin-bottom: 50px;
    padding: 10px;
}

.container-loteria img {
    width: 200px;
    height: 200px;
}

.container-loteria input {
    border: none;
    border-radius: 10px;
    text-align: center;
    margin: auto;
}

.container-loteria button {
    height: 35px;
    width: 70px;
    border: 0;
    border-radius: 15px;
    margin: 2px;
    font-size: 12px;
    cursor: pointer;
    padding: 1px;
    transition: all 200ms ease;
    margin-top: 5px;
}

.container-loteria button:hover {
    transform: scale(1.1);
}

/* Lista de tareas */
.container-listaTareas {
    margin: auto;
    padding: 10px;
    margin-bottom: 50px;
    text-decoration: none;
    background-color: rgba(0, 0, 0, 0.356);
    border-radius: 10px;
}

.container-listaTareas input {
    border: none;
    border-radius: 10px;
    text-align: center;
    margin: auto;
}

.container-listaTareas button {
    height: 35px;
    width: 70px;
    border: 0;
    border-radius: 15px;
    margin: 2px;
    font-size: 12px;
    cursor: pointer;
    padding: 1px;
    transition: all 200ms ease;
}

.container-listaTareas li {
    margin-top: 10px;
}

.container-listaTareas li button {
    margin-left: 20px;
}

.container-listaTareas button:hover {
    transform: scale(1.1);
}

/* Verificador */
.container-verificador {
    background-color: rgba(0, 0, 0, 0.356);
    border-radius: 10px;
    margin: auto;
    justify-content: center;
    text-align: center;
    margin-top: 50px;
    margin-bottom: 50px;
    padding: 10px;
}

.container-verificador input {
    border: none;
    border-radius: 10px;
    text-align: center;
    margin: auto;
}

.container-verificador button {
    height: 35px;
    width: 70px;
    border: 0;
    border-radius: 15px;
    margin: 2px;
    font-size: 12px;
    cursor: pointer;
    padding: 1px;
    transition: all 200ms ease;
    margin-top: 5px;
}

.container-copyright {
    background-color: rgba(86, 49, 119, 0.559);
    color: black;
}